Subject: bug#13026: Assume POSIX 1003.1-1988 or later for signal.h.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Dec 2012 12:09:15 +0200

> Date: Fri, 07 Dec 2012 18:40:57 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked]
> 
> On 12/04/2012 11:17 AM, Eli Zaretskii wrote:
> 
> > This will need additions to lib/makefile.w32-in, to get the new
> > modules to compile into libgnu.a.
> 
> I added enough so that I think it should compile, as trunk bzr
> 111151, and I'm marking this bug as fixed.  Someone with
> Microsoft expertise should look at that as I expect more
> needs to be added to the Microsoftish build procedure.

Thanks.  There was a stray character at the beginning of the file
which I removed, and I added a dependency for sig2str.o.  Otherwise,
the Windows build went smoothly.

> As an aside, it'd be nicer if lib/Makefile were computed more
> automatically from lib/gnulib.mk on Microsoft platforms, so
> that this sort of thing wouldn't require manual editing.

This is an issue that transcends the context of this bug report, so I
will reply on emacs-devel.